Skip to content
Documentation

Assigning Attributes to Time Series

This page lists the PowerTSM HTTP API endpoints for listing the attributes assigned to a time series, assigning an attribute, and removing a single or all attribute assignments.

GET /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes

Request

POST /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes

Request Body

{
"identifier": 1011,
"storageInformation": {
"repositoryName": "TSM_Example_Repository"
}
}
DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{assignedAttributeName}

In the endpoint DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes/{assignedAttribute}, the {assignedAttribute} path segment identifies the assigned attribute.

DELETE /repositories/{repository}/timeSeries/{timeSeries}/assignments/attributes
© 2026 Volue.Version v0.6.38017 November 2026